package cn.ibizlab.businesscentral.core.odoo_website.client;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.web.bind.annotation.*;
import cn.ibizlab.businesscentral.core.odoo_website.domain.Website_multi_mixin;
import cn.ibizlab.businesscentral.core.odoo_website.filter.Website_multi_mixinSearchContext;
import org.springframework.stereotype.Component;

/**
 * 实体[website_multi_mixin] 服务对象接口
 */
@Component
public class website_multi_mixinFallback implements website_multi_mixinFeignClient{

    public Website_multi_mixin get(Long id){
            return null;
     }


    public Website_multi_mixin create(Website_multi_mixin website_multi_mixin){
            return null;
     }
    public Boolean createBatch(List<Website_multi_mixin> website_multi_mixins){
            return false;
     }

    public Boolean remove(Long id){
            return false;
     }
    public Boolean removeBatch(Collection<Long> idList){
            return false;
     }


    public Page<Website_multi_mixin> search(Website_multi_mixinSearchContext context){
            return null;
     }



    public Website_multi_mixin update(Long id, Website_multi_mixin website_multi_mixin){
            return null;
     }
    public Boolean updateBatch(List<Website_multi_mixin> website_multi_mixins){
            return false;
     }



    public Page<Website_multi_mixin> select(){
            return null;
     }

}
